<xml> </xml>

db4o |

# MemoryFile.SetIncrementSizeBy Method

configures the size the MemoryFile is to be enlarged by, if it grows beyond the current size.

public virtual void SetIncrementSizeBy(
int byteCount
);

#### Parameters

byteCount
  the desired size in bytes

#### Remarks

configures the size the MemoryFile is to be enlarged by, if it grows beyond the current size.
Call this method before passing the MemoryFile to ExtDb4o#openMemoryFile(MemoryFile) .
This parameter can be modified to tune the maximum performance of a MemoryFile for a specific usecase. To produce the best results, test the speed of your application with real data.

#### See Also

MemoryFile Class | com.db4o.ext Namespace